Name:		kronikarz
Version:	0.0.1
Release: 	5%{?dist}
Summary: 	A small, easy-in-use backup tool, desgined to be lightweight and simple
Summary(ru): 	Небольшой, простой в использовании инструмент резервного копирования, созданный легкий и простым
Group:		Applications/Tools
License:	GPLv2
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://github.com/m0nhawk/kronikarz
BuildArch:	noarch
 
%if %{defined fedora}
Requires: python >= 2.5 PyQt4 >= 4.4.1
BuildRequires: desktop-file-utils
%endif
%if %{defined suse_version}
Source10:	%{name}.desktop
Requires: python >= 2.5 python-qt4 >= 4.4.1
BuildRequires: update-desktop-files
%endif

 
%description 
Kronikarz
Pack — Break — Unpack — It works! 
Kronikarz make many of your possible crashes due to bad config files unimportant. 
It allows you to easilly backup and restore settings of the installed apps on your PC 
(btw, you also can simply copy archives with packed settings and restore on other PC). 
Use it, and you will see how live become easier!
 
%description -l ru
Kronikarz (Летописец)
Программа для простого архивирования пользователем собственных файлов и настроек программ
 
%prep
%setup -q
 
%build
 
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.d
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -D -m 755 -p tools/%{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -D -m 644 -p src/pixmaps/main-icon/%{name}-128.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-16.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-24.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-256.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-32.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-64.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -D -m 644 -p src/pixmaps/main-icon/%{name}-64.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
cp -r src/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/
cp -r sets/* $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.d/

%if %{defined fedora}
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications tools/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%endif
%if %{defined suse_version}
%suse_update_desktop_file -i %{name} Utility
%endif

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_sysconfdir}/%{name}.d
%dir %{_datadir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%doc LICENSE README
%{_datadir}/%{name}/*
%{_sysconfdir}/%{name}.d/*
 
%clean
rm -rf $RPM_BUILD_ROOT
 
%changelog
* Mon Aug 16 2010 Alexei Panov <avpanov@atisserv.ru> - 0.0.1-5
- Final FSoC build
* Wed Aug 11 2010 Alexei Panov <avpanov@atisserv.ru> - 0.0.1-4
- fixup important bugs
- add new hooks
* Mon Aug  9 2010 Alexei Panov <avpanov@atisserv.ru> - 0.0.1-3
- FSoC: final coding
* Sun Aug  8 2010 Alexei Panov <avpanov@atisserv.ru> - 0.0.1-2
- Many changes of source code, spec-file and other
* Tue Jul 27 2010 Alexei Panov <avpanov@atisserv.ru> - 0.0.1-1
- Initial Kronikarz build
